org.eclipse.rdf4j.model

## Interface URI

- All Superinterfaces:
    Resource, Serializable, Value
  All Known Subinterfaces:
    IRI
  All Known Implementing Classes:
    MemIRI, NativeIRI, SimpleIRI, URIImpl

  Deprecated.
  since 2.0. Use `IRI` instead.

      @Deprecated
      public interface URI
      extends Resource

  A Uniform Resource Identifier (URI).
  Author:
    Jeen Broekstra, Arjohn Kampman
  See Also:
    RFC 3986

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Deprecated. Compares a URI object to another object.
    `String` | `getLocalName()` Deprecated. Gets the local name part of this URI.
    `String` | `getNamespace()` Deprecated. Gets the namespace part of this URI.
    `int` | `hashCode()` Deprecated. The hash code of an URI is defined as the hash code of its String-representation: `toString().hashCode`.
    `String` | `toString()` Deprecated. Returns the String-representation of this URI.

    - ### Methods inherited from interface org.eclipse.rdf4j.model.Value

      `stringValue`

- - ### Method Detail

    - #### toString

          String toString()

      Deprecated.
      Returns the String-representation of this URI.
      Overrides:
        `toString` in class `Object`
      Returns:
        The String-representation of this URI.

    - #### getNamespace

          String getNamespace()

      Deprecated.
      Gets the namespace part of this URI. The namespace is defined as per the algorithm described in the class documentation.
      Returns:
        The URI's namespace.

    - #### getLocalName

          String getLocalName()

      Deprecated.
      Gets the local name part of this URI. The local name is defined as per the algorithm described in the class documentation.
      Returns:
        The URI's local name.

    - #### equals

          boolean equals(Object o)

      Deprecated.
      Compares a URI object to another object.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `o` - The object to compare this URI to.
      Returns:
        `true` if the other object is an instance of `URI` and their String-representations are equal, `false` otherwise.

    - #### hashCode

          int hashCode()

      Deprecated.
      The hash code of an URI is defined as the hash code of its String-representation: `toString().hashCode`.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        A hash code for the URI.

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.